
pragma solidity ^ 0.8.13;

interface consensus{ 
    function queryBatchHash(uint64 height)  external view  returns ( bytes calldata); 
    function queryRate()  external view  returns (uint32 rate);
    function latestHeight() external view returns (uint64);
    function batchHash(uint64 height, bytes calldata batchhash)external returns (bool success);
}